package hello;


//import org.h2.server.web.WebServlet;

import org.h2.server.web.WebServlet;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.web.servlet.ServletRegistrationBean;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.PropertySource;

/**
 * Created by jackdaw on 16. 11. 9.
 */

//@EntityScan(basePackages="hello")
//@EnableJpaRepositories(basePackages = "hello")
@PropertySource({"classpath:database.properties"})
@SpringBootApplication
public class Application {

    static public void main(String[] args) {
        SpringApplication.run(Application.class,args);
        System.out.println("Spring Boot Started..");
    }
    @Bean
    public ServletRegistrationBean h2servletRegistration() {
        ServletRegistrationBean registration = new ServletRegistrationBean(new WebServlet());
        registration.addUrlMappings("/console/*");
        return registration;
    }

}
