package hello;

import hello.entity.Member;
import hello.repository.MemberRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * Created by jackdaw on 16. 11. 9.
 */
@RestController
public class HelloController {

    @Autowired
    MemberRepository memberRepository;

//    @RequestMapping("/member")
//    public List<Member> index() {
//        return memberRepository.findAll();
//    }

    @RequestMapping(value = "/member/{id}", method = RequestMethod.GET)
    public Member get(@PathVariable(value = "id") long id) {
        return memberRepository.findOne(id);
    }

    @RequestMapping(value = "/member", method = RequestMethod.GET)
    @ResponseBody
    public List<Member> getList() {
        return memberRepository.findAll();
    }

//    @RequestMapping(value = "/member/{id}", method = RequestMethod.PATCH)
//    @ResponseBody
//    public Member patch(@PathVariable(value = "id") long id, @RequestBody Member member) {
//        memberRepository.save(member);
//        return member;
//    }
//
//    @RequestMapping(value = "/member/{id}", method = RequestMethod.PUT)
//    @ResponseBody
//    public Member update(@PathVariable(value = "id") long id, @RequestBody Member member) {
//        memberRepository.save(member);
//        return member;
//    }
//
//    @RequestMapping(value = "/member/{id}", method = RequestMethod.DELETE)
//    @ResponseBody
//    public List<Member> delete(@PathVariable(value = "id") long id) {
//        memberRepository.delete(id);
//        return memberRepository.findAll();
//    }
}
