package hello;

import hello.entity.Member;
import org.springframework.context.annotation.Configuration;
import org.springframework.data.rest.core.config.RepositoryRestConfiguration;
import org.springframework.data.rest.webmvc.config.RepositoryRestMvcConfiguration;


/**
 * Created by jackdaw on 16. 11. 11.
 */
@Configuration
public class JPAConfiguration extends RepositoryRestMvcConfiguration {

    @Override
    protected void configureRepositoryRestConfiguration(RepositoryRestConfiguration config) {
        config.exposeIdsFor(Member.class);
        //config.setDefaultMediaType(MediaType.APPLICATION_JSON);
        //config.useHalAsDefaultJsonMediaType(false);

    }
}

